# $Revision: 1.15 $, $Date: 2004/08/15 10:59:26 $
%define		realname	allegro
Summary:	A game programming library - Ming32 cross version
Summary(pl):	Biblioteka do programowania gier - wersja skrona dla Ming32
Name:		crossmingw32-%{realname}
Version:	4.1.15
Release:	3
License:	Giftware
Group:		Libraries
Source0:	http://dl.sourceforge.net/alleg/%{realname}-%{version}.tar.gz
# Source0-md5:	e125d7665d359f2392b6330c741bdbc6
Patch0:		%{realname}-info.patch
Patch1:		%{realname}-examples.patch
Patch2:		%{realname}-opt.patch
URL:		http://alleg.sourceforge.net/
BuildRequires:	crossmingw32-dx70
BuildRequires:	crossmingw32-gcc
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		arch			%{_prefix}/%{target}

%ifarch alpha sparc sparc64 sparcv9
# alpha's -mieee and sparc's -mtune=* are not valid for target's gcc
%define		optflags	-O2
%endif

%description
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

%description -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
./fix.sh mingw32

%{__make} lib \
	NATIVEPATH=$PATH \
	CROSSCOMPILE=1 XPREFIX="%{target}-" \
	CC="%{target}-gcc" CXX="%{target}-g++" \
	MINGDIR=$RPM_BUILD_ROOT%{arch} \
	TARGET_ARCH="%{rpmcflags}" TARGET_OPTS="-ffast-math"

%{__make} lib \
	DEBUGMODE=1 \
	NATIVEPATH=$PATH \
	CROSSCOMPILE=1 XPREFIX="%{target}-" \
	CC="%{target}-gcc" CXX="%{target}-g++" \
	MINGDIR=$RPM_BUILD_ROOT%{arch} \
	TARGET_ARCH="%{rpmcflags}" TARGET_OPTS="-ffast-math"

%{__make} lib \
	PROFILEMODE=1 \
	NATIVEPATH=$PATH \
	CROSSCOMPILE=1 XPREFIX="%{target}-" \
	CC="%{target}-gcc" CXX="%{target}-g++" \
	MINGDIR=$RPM_BUILD_ROOT%{arch} \
	TARGET_ARCH="%{rpmcflags}" TARGET_OPTS="-ffast-math"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{arch}/lib

%{__make} install \
	NATIVEPATH=$PATH \
	CROSSCOMPILE=1 \
	MINGDIR=$RPM_BUILD_ROOT%{arch}

%{__make} install \
	DEBUGMODE=1 \
	MKDIR_OPTS="-p" \
	NATIVEPATH=$PATH \
	CROSSCOMPILE=1 \
	MINGDIR=$RPM_BUILD_ROOT%{arch}

%{__make} install \
	PROFILEMODE=1 \
	MKDIR_OPTS="-p" \
	NATIVEPATH=$PATH \
	CROSSCOMPILE=1 \
	MINGDIR=$RPM_BUILD_ROOT%{arch}

%{!?debug:%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{arch}/lib/lib*.a}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{arch}/include/*.h
%{arch}/include/allegro
%{arch}/lib/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-allegro.spec,v $
Revision 1.15  2004/08/15 10:59:26  wolf
- magic alphasparc fix
- rel 3

Revision 1.14  2004/08/14 09:28:29  averne
- rel 2

Revision 1.13  2004/07/31 19:01:19  qboosh
- updated to 4.1.15

Revision 1.12  2004/05/24 18:12:23  qboosh
- updated to 4.1.14

Revision 1.11  2004/03/06 00:48:18  qboosh
- updated to 4.1.13

Revision 1.10  2003/12/01 20:34:27  qboosh
- standard buildroot

Revision 1.9  2003/11/30 23:47:49  qboosh
- removed unused macros, added R: crossmingw-runtime

Revision 1.8  2003/11/11 22:41:59  qboosh
- updated to 4.1.12, removed obsolete alsa9 patch, debug support

Revision 1.7  2003/08/29 23:30:32  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.6  2003/08/28 22:15:20  qboosh
- 4.1.11, removed obsolete crossmingw32 patch

Revision 1.4  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/06 09:48:07  qboosh
- standardized Name (crossmingw32-allegro, not crossmingw32_allegro)
- up to 4.1.9
- merged opt patch from native allegro, use optflags
- fixed file list, updated BR

Revision 1.1  2002/12/15 23:01:49  ggodlewski
- initial release
